Subject: Re: strings failing
From: Gerry Reno <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 2 Sep 2003 13:14:38 -0700 (PDT)

Igor,
  Of course.  I just started a new shell and things seem to be working
correctly now.  I must have changed some define that got things
confused.

thx,
Gerry Reno

--- Igor Pechtchanski <[email-masked]> wrote:
> On Tue, 2 Sep 2003, Gerry Reno wrote:
> 
> > Has anyone seen behavior like this:
> >
> >   On Cygwin 1.3.18 I am seeing strange failures with trying to use
> > strings.  Strings does not seem able to see some files yet 'ls'
> shows
> > them, 'od -cx' shows them.  Also gcc has similar problem in that it
> is
> > reporting: no such file or directory on some compiles.
> >
> > $strings /lib/libc.a
> > d:\mingw\bin\strings.exe: /lib/libc.a: No such file or directory
>   ^^^^^^^^^^^^^
> > (This happens for any file in /lib)
> >
> > Any ideas what may be causing strings to fail?
> > thx,
> > Gerry Reno
> 
> You mean, aside from the fact that you aren't using Cygwin's
> "strings"?
> MinGW programs aren't aware of Cygwin mounts.  I suspect you're using
> MinGW gcc as well.
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor and his
> route
> to the bathroom is a major career booster."  -- Patrick Naughton

__________________________________
Do you Yahoo!?
Yahoo! SiteBuilder - Free, easy-to-use web site design software
http://sitebuilder.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/